Get thresholds that were used to evaluate the given time bin using the given alert rule.
curl --request GET \
--url https://api.example.com/v3/alert-rules/{alert_id}/get-thresholds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v3/alert-rules/{alert_id}/get-thresholds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v3/alert-rules/{alert_id}/get-thresholds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"threshold_type": "manual",
"critical_threshold": 123,
"warning_threshold": 123
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Alert Rules
Get thresholds that were used to evaluate the given time bin using the given alert rule.
Get thresholds that were used to evaluate the given time bin using the given alert rule.
GET
/
v3
/
alert-rules
/
{alert_id}
/
get-thresholds
Get thresholds that were used to evaluate the given time bin using the given alert rule.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
alert id path parameter
Query Parameters
Timestamp(in milliseconds) pointing to the start of the time bin
Name of the Feature
Response
Thresholds that were used to evaluate the given time bin using the given alert rule.
Was this page helpful?